MONGOC_URI_NEW(3)

NAME
mongoc_uri_new - mongoc_uri_new()

SYNOPSIS

mongoc_uri_t *
mongoc_uri_new (const char *uri_string) BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

•   uri_string: A string containing a URI.

DESCRIPTION

Calls mongoc_uri_new_with_error.

RETURNS

A newly allocated mongoc_uri_t if successful. Otherwise NULL, using MONGOC_WARNING on error.

WARNING: Failure to handle the result of this function is a programming error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc